import requests
url = "https://{FUSION HOST}/api/links"
response = requests.delete(url)
print(response.text)HttpResponse<String> response = Unirest.delete("https://{FUSION HOST}/api/links")
.asString();const options = {method: 'DELETE'};
fetch('https://{FUSION HOST}/api/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/links"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request DELETE \
--url https://{FUSION HOST}/api/linksThis response has no body data.Delete one or more links matching the provided criteria. You can use an asterisk (*) for wildcard matching in the subject, object, and linkType fields.
import requests
url = "https://{FUSION HOST}/api/links"
response = requests.delete(url)
print(response.text)HttpResponse<String> response = Unirest.delete("https://{FUSION HOST}/api/links")
.asString();const options = {method: 'DELETE'};
fetch('https://{FUSION HOST}/api/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/links"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request DELETE \
--url https://{FUSION HOST}/api/linksThis response has no body data.Query Parameters
Delete only links with a matching subject.
Delete only links with a matching object.
Delete only links with a matching type.
Possible link types:
-
DependsOn- The subject depends on the object. -
Supports- The subject is depended on by the object (the reverse ofdependsOn). -
IsPartOf- The subject is part of the object, where the object is a group. -
HasPart- The subject is a group, of which the object is a member (the reverse ofisPartOf). -
RelatesTo- The subject relates to the object. This is a uni-directional relationship that associates two objects that have none of the relationships described above. -
InContextOf- The subject exists in the context of the object, which is an app. -
HasContext- The subject is an app that contains the object. -
Self- The subject and the object are the same.
dependsOn, supports, isPartOf, hasPart, relatesTo, inContextOf, hasContext, self Response
Was this page helpful?